Author Topic: Problems installing  (Read 8526 times)

archived

  • Hello, I'm new here
  • Posts: 0
    • View Profile
Problems installing
« on: September 06, 2005, 11:02:27 am »
Hi I have an existing Sarge installation and would like to turn it into a pluto core.  I have finished the wizzard and downloaded the DebianInstallers.tar.gz unpacked it and so forth. now I am having problems to otain the Custom wrapper script. When ever I click on the link it will give me a script wich contains the following :
Quote
ERROR. Invalid activation code. If you don't have an activation code, get yours by signing up at newbielink:http://plutohome.com/signup.html [nonactive]. Thank you

So what am io doing wrong ?

archived

  • Hello, I'm new here
  • Posts: 0
    • View Profile
Problems installing
« Reply #1 on: September 08, 2005, 01:44:58 am »
I have a similar situation. The most of the times I click to dowload custom wizard I get a file with the mentioned error.

After several trials I was able to walk to the next page that contains a link to DebianInstallers.tar.gz and then shows what is supposed to be the script itself.

Unfortunately it is shown in a format like this:

OK OK #!/bin/bash error=0 # /usr/pluto/bin/ConfirmDependencies -r -D pluto_main -h localhost -u plutovip -d 50696 install #Device: CORE (#7 Generic PC as Core) doesn't require any software. #Device: DCERouter (#1 DCERouter) requires software #.Pluto DCE Router #..MySQL 4 client libraries #..MySQL 4 common #..Pluto Standard Plugins #...Pluto System Database #....Pluto sqlCVS #.....MySQL 4 server #.....Pluto DCE library #......Pluto SerializeClass library #.......Pluto PlutoUtils library #.....Pluto Request Action (RA) Library #.....Pluto Database Settings #....Pluto Boot Scripts #.....screen #.....NetCat #.....Pluto MessageSend #.....MySQL 4 client #.....NFS Kernel Server #.....syslinux #.....bzip2 #.....NTP date #.....Discover 1 #.....Hotplug #.....FTP upload #.....iproute #.....whois (mkpasswd) # ................. deletia ................ read #EOF


I tried to cut-and-paste it into a file, but it won't run.

I tried also to settle the scrip by adding some CR, but I think that by the time I'll finish this I will be ready to install Pluto 4 ....    :)

Is it a bug of the wizard, or are we doing something wrong?

Thanks in advance and regards
Marco

archived

  • Hello, I'm new here
  • Posts: 0
    • View Profile
Problems installing
« Reply #2 on: September 08, 2005, 01:50:35 am »
Well .. just to be precise ....

On the page 8 of the wizard if I click on "Auto install script" link I get a file with error in side, if I click "Custom Wrapper for CORE" link I get a new page with the messed up script.

Regards
Marco

archived

  • Hello, I'm new here
  • Posts: 0
    • View Profile
Problems installing
« Reply #3 on: September 10, 2005, 12:13:04 pm »
our original vision was allowing Pluto to run on virtually all Linux distributions, and even on Windows.  The installation wizard was built around that concept.  however very early on we realized this was completely impossible because each distribution has different versions of the core programs we use (Xine, Asterisk, etc.)  and some are compatible with our wrappers and some are not, and even the stock Debian is not compatible.  So we abandon this a long time ago, but the installation wizard has not been rewritten.  We are working on a change that will eliminate the installation wizard completely, using only a stock CD that prompts for a few questionsthe works exclusively with our own mirror, since that is all that is working anyway.  So that auto install script does not work and actually will be eliminated.  Sorry.

archived

  • Hello, I'm new here
  • Posts: 0
    • View Profile
Problems installing
« Reply #4 on: September 10, 2005, 01:56:25 pm »
Thanks Aaron for your reply, even if it is not exactly the answer I was waiting for.

I've just reinstalled my test box with stock debian, because this was the only way to get rid of many problems related to your distro (new drivers/software recompilation, Xine that performs badly on my box, ....).

I made these steps because on your docs it was stated that your distro is debian based, and in the wizard it was also offered the option to get an installation over existing debian box.

I have full respect for the great job you have made so far and I understand that there surely are good reasons for this change of vision.

Nevertheles I hope you will understand that it is a bit disappointing hearing at this stage that what I've made so far may be totally unuseful.

You are now saying that auto install script will never work.
According to your docs there is still one option left, i.e to get a list of needed packages and install them one by one manually.
Is this option possible (even if it may take forever ...) ?

Please I need a clear answer, as I need to make myself a clear picture of what may Pluto be for me and also for a possible business that I'm evaluating to start.

Again, don't get me wrong. I'm not in any way blaming you and your project, just want to know whether this project may be or not an option for me. :wink:

Thanks and regards.
Marco

archived

  • Hello, I'm new here
  • Posts: 0
    • View Profile
Problems installing
« Reply #5 on: September 10, 2005, 10:31:21 pm »
in the 30 release we are upgrading our Debian mirror and upgrading the kernel to 2.6.12.5.  I think your main reason for wanting to use a stock distro was to get the latest drivers, right?  so this may go away within a couple weeks.  We will try rebuilding Xine too at that time.

if you want to proceed installing Pluto on your Debian box, try this...  take a clean, vanilla Debian box, add to your source.list:

deb newbielink:http://deb.plutohome.com/debian/ [nonactive] 20dev main
deb newbielink:http://deb.plutohome.com/debian/ [nonactive] replacements main
deb newbielink:http://deb.plutohome.com/debian/ [nonactive] unstable mythtv
deb newbielink:http://deb.plutohome.com/debian/ [nonactive] 20dev contrib

those repositories contain Pluto's packages, but not our Debian mirror.  Then do:

apt-get install pluto-app-server pluto-asterisk pluto-bluetooth-dongle pluto-boot-scripts pluto-cddb-ident pluto-confirm-dependencies pluto-convert-mac pluto-createdevice pluto-database-settings pluto-dcecommon pluto-dcerouter pluto-devel-dependencies pluto-dhcpd-plugin pluto-disk-drive pluto-diskless-base pluto-eib pluto-gc100 pluto-generic-serial-device pluto-install-scripts pluto-irbase pluto-irtrans-wrapper pluto-ivtv-video-drivers pluto-kernel-upgrade pluto-libbd pluto-libserial pluto-lirc-wrapper pluto-local-database pluto-media-database pluto-messagesend pluto-messagetrans pluto-mythtv-backend-proxy pluto-mythtv-player pluto-mythtv-plugin pluto-orbiter pluto-orbitergen pluto-orbiterinstaller pluto-pluto-main-db pluto-pluto-media-db pluto-pluto-security-db pluto-plutoutils pluto-qos pluto-ra pluto-ratpoison pluto-remoteassistance pluto-sample-media pluto-security-database pluto-serializeclass pluto-skins-basic pluto-slim-server-streamer pluto-slimserver-plugin pluto-sqlcvs pluto-std-plugins pluto-system-database pluto-text-to-speech pluto-updateentarea pluto-updatemedia pluto-videolan-client pluto-videolan-plugin pluto-videolan-server pluto-vipshared pluto-website-admin pluto-website-support pluto-windowsce-libraries pluto-xine-player pluto-xine-plugin

that will install all the Pluto specific packages.  I am not sure if there will be issues with dependencies.  If so please post here again.

I have to point out that even though we did have the links to download those scripts, we did post a link on the main open-source page: "I'm already a Linux user. If I install your distro and use my PC as a "Core", can I still it as my normal computer too? What did you change, and how is Pluto different from a normal Linux distro? I don't want to dedicate a PC just to Pluto" which goes to: newbielink:http://plutohome.com/support/?section=document&docID=200 [nonactive]

and says: "While you could try to run Pluto on your own distribution, it's not really recommended."

our final product is a mainstream "taken out of the box plug it in turn it on and use it product".  There are of course lots of similar products based on Linux, such as TiVo.  but the only way to reach that state of stability is to have a completely controlled environment, where you know what all the software versions are installed a can test those exact versions.  this is what we mean when we say Pluto targets the "appliance" market (ie set top box), rather than the "software" market (ie HomeSeer, Mr. House, etc.).  so when you mention you might be interested in starting a new business, if that business involves selling a software solutionwhere the homeowner is a computer user who does normal computer maintenance to keep the system going, Pluto is probably not the best solution.  However if you are looking to offer an appliance type solution where the homeowner has no need for a computer skills and does not need to know anything about Linux, I humbly suggest this is the only way.  For example we found while upgrading our mirror some packages such as the Linux console simply cannot be upgraded in an unattended manner.  I remember our package maintainer mentioning that package, which is of course core to Linux, did not respect the flag to auto upgrade without prompting the user, and halts, stopping the upgrade until the user answers some questions.  this is of course because the package maintainer intends that a human who knows Linux is doing the upgrade with apt-get dist-upgrade, rather than a completely automated process.  So therefore if you use the standard Debian mirror, whoever is the homeowner must have Linux skills so he can manually do upgrades and maintenance.  In our mirror, we rebuild such packages and put them in our replacements, making them so they assume defaults that are appropriate for the Pluto environment, and therefore the system can be self maintaining and used by homeowners with no Linux skills.  but obviously it's very difficult to do both since an appliance solution and a software solution really are two different things that go into different directions, it would be a huge amount of work for us to try to maintain two versions of Pluto for those two separate markets.

archived

  • Hello, I'm new here
  • Posts: 0
    • View Profile
Problems installing
« Reply #6 on: September 11, 2005, 01:20:59 pm »
Wow ... what a reply ... :)

Firstly I would like to make clear that I'm not discussing Pluto "philosophy".
I like the "appliance" approach, and I do not want to deviate from this nor I am asking someone to do it for me.
I'm not in any way saying "hey, you told me that this was possible, and now you have to do it". I'm sorry if I gave this impression, and if so please accept my apologies.

When I say I'm a bit disappointed I simply mean that I was hoping to have a clear picture of this situation at an earlier stage in order to make some further considerations.

I totally agree with you when you mention the need of totally controlled environment to get stability.
Infact my idea is NOT to have a totally custom mantained Pluto distro (it would simply be a nightmare), but just to have the standard Pluto distro with just some refinements that make it work better in some circumstances without any impact towards stability.

The main reasons that pushed me to reinstall a fresh stock debian box were:
    need to use a different kernel
    need to recompile some drivers
    need to recompile Xine
    need to recompile some additional software
With your actual distro this is impossible, so I had no other choices.

I've posted a couple of time questions like "what if upgrade kernel to 2.6.12 ? Will this break anything with Pluto?" but I didn't get any answer.
I know that you guys are running your business and I cannot expect you to support that much an option that may proof good (but also a total waste of time).
I thought that probably it was a "dumb question" not worth replying, so I decided to go for a fresh install.
Probably this lead me too far from the path ... probably it would have been enough simply to upgrade the kernel ... anyway I'm doing tests to get answers so I definitely need to make some trials .

I know that you said that running Pluto on custom distro isn't "really recommended".
Nevertheless sometime one has to try ... there have been plenty of things "not really recommended", that instead have fortunately been done .... :lol:
Anyway "not really recommended" does not mean "impossible" to me, but it sounds like a warning to normal audience that this is something not easy to do. Unless you say "it is totally impossible" or "don't do it, you would break something", I understand that this may be somehow done.

I'm happy to hear that with .30 release you will be migrating to kernel 2.6.12. If I may give a suggestion, it would be great if you could put kernel sources and headers in your repository. Also it would be great if you can use an epia patched kernel ....
Even if in this scenario a manual install makes no real sense, I think that in the mean time I will give your manual installation procedure a try.
Still I need some info: on my box I've actually installed a stock version of Xine (recompiled from original sources), that is working fine. Unless you made recent changes, if I reinstall your Xine release I will fall back in the same situation where I started from (Xine poorly performing with MPEG4, crashing with mp3).
What do you suggest me to do ? Can I skip pluto-xine packages, or should  I install them and afterward replace xine engine with recompiled one?

Thanks for your patience and your suggestions
Regards
Marco

archived

  • Hello, I'm new here
  • Posts: 0
    • View Profile
Problems installing
« Reply #7 on: September 11, 2005, 02:51:46 pm »
I suggest you go ahead and install pluto-xine package then overwrite the binary.  at bootup our confirm_dependencies program goes through all devices and confirms the packages are installed and will install them if they're not.  If you install the package, it will not reinstall it.  there are other ways to bypass this mechanism but that's probably the simplest.

this week we are recompiling the kernel and rebuilding our mirror.  So this is the right time to get any "wishes" included.since it is such a big task we don't do it very often and put it off until we have a compelling reason: in this case the VDR team wrote a Pluto/VDR module which requires a new kernel.

the guy who handles this is Radu.  If you have Yahoo IM, he is "radu_c_public", or skype "pluto_support" or email to radu.c at plutohomecom.  perhaps you could enable remote assistance so he can SSH in and you can show him what's happening with Xine, and so he can see if the new one he intends to use solves the problem, or if not rebuild it, so you don't need to deviate.

I believe this will have full support for EPIA since we also have a new hardware partner that builds boxes based on that platform and we are testing against their Via Nehemia system.

archived

  • Hello, I'm new here
  • Posts: 0
    • View Profile
Problems installing
« Reply #8 on: September 11, 2005, 04:46:58 pm »
Thanks Aaron for your info.

I will follow your procedure and I will let you know. By the way, after installing all the required packages do I need to add/modify any startup script?

I'm really happy to hear that you also are testing Pluto against Nehemiah based boxes. This is exactly what I've been doing for the last 1 and a half months, and I'm glad to see that you guys also find it interesting.

Most probably I'm working in a sligthly different direction than yours. My goal is to get a "light" hybrid working on a EPIA box, while I think that you may be more focused to have a diskless MD.

So, if this is the right time for wishes, I think that mine is quite clear ... :wink:

Thanks also for the opportunity to get direct support from Radu.
As soon as I get again Pluto working I will make a test with your Xine version and just in case I will ask him to have a look.

Thanks again and regards
Marco

archived

  • Hello, I'm new here
  • Posts: 0
    • View Profile
Problems installing
« Reply #9 on: September 11, 2005, 05:27:29 pm »
As per your request, I post here the dependencies problem I found.

Basically apt-get install fails on pluto-cddb-ident and pluto-disk-drive because they depend from libcddb0 that is not installable.

On my apt source list  there are also some other official mirrors, so it sounds strange to have such a dependency error.

I'll try to figure out a solution, but given that you are already about to release an EPIA friendly version I won't put that much time on this manual installation.

Regards
Marco